<div class="btnAcrossPageName">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
               (click)="onSave()"
               *ngIf="!isDetail"
               [mbIsDisable]="!form.value['isCommit'] && form.value['methodCode'] === constant.IS_AUTHORIZATION"
               mbButtonText="{{'selfService.dependentRegisters.save' | translate}}"></mb-button>

    <mb-button
        (click)="onBack()"
        *ngIf="!isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'common.button.cancel' | translate}}"
    ></mb-button>
    <mb-button
        (click)="onBack()"
        *ngIf="isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'selfService.dependentRegisters.back' | translate}}"
    ></mb-button>
</div>

<div class='content__item content__item--border bg__content--default'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-personal-information
    (employeeInfoEvent)="getEmployeeInfo($event)"
  ></app-personal-information>
  <form nz-form [formGroup]="form" style="margin-top: 20px">
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col [nzXs]="12" [nzLg]="8">
        <mb-select [mbDataSelects]="listYear"
                   formControlName="year"
                   (mbEventEmit)="changeDeclarationYear($event)"
                   [mbType]="isSubmitted && form.controls['year'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['year'].errors !== null"
                   [mbErrors]="form.controls['year'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.declarationRegisters.year' | translate }}]"
                   mbPlaceholder="{{'selfService.declarationRegisters.year' | translate}}"
                   mbLabelText="{{'selfService.declarationRegisters.year' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="8">
        <label class="label__method">{{'selfService.declarationRegisters.methodCode' | translate}}</label>
        <div style="margin-top: 12px">
          <nz-radio-group formControlName="methodCode" (ngModelChange)="changeMethodCode($event)">
            <label nz-radio [nzValue]="o.value" *ngFor="let o of options">{{ o.label }}</label>
          </nz-radio-group>
        </div>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="24" *ngIf="form.value['methodCode'] === constant.IS_AUTHORIZATION">
        <nz-switch formControlName="isCommit"></nz-switch>
        <span style="margin-left: 10px">{{'selfService.declarationRegisters.commit' | translate : {'year' : form.value['year'] ? form.value['year'] : currentYear} }}</span>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="24" *ngIf="form.value['methodCode'] === constant.IS_NOT_AUTHORIZATION">
        <nz-switch formControlName="isRegisterReceive"></nz-switch>
        <span style="margin-left: 10px">{{'selfService.declarationRegisters.registerReceive' | translate}}</span>
      </div>

      <div nz-col [nzXs]=24 [nzLg]="24" *ngIf="form.value['methodCode'] === constant.IS_NOT_AUTHORIZATION">
        <mb-input-text
          formControlName="note"
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'selfService.dependentRegisters.note' | translate}}"
          mbLabelText="{{'selfService.dependentRegisters.note' | translate}}"></mb-input-text>
      </div>
    </div>
  </form>
</div>
